Bug 1414167 - cmake file resolves to `/usr/lib/libstp.so.2.1.2` instead of `/usr/lib64/libstp.so.2.1.2`
Summary: cmake file resolves to `/usr/lib/libstp.so.2.1.2` instead of `/usr/lib64/libs...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: stp
Version: 25
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 23:35 UTC by electron.kiwi
Modified: 2017-02-17 20:51 UTC (History)
2 users (show)

Fixed In Version: stp-2.1.2-4.20151122git.3785148.fc24 stp-2.1.2-4.20151122git.3785148.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-17 20:49:35 UTC
Type: Bug


Attachments (Terms of Use)

Description electron.kiwi 2017-01-17 23:35:07 UTC
Description of problem:

The `STPTargets.cmake` file from the `stp-devel` package resolves the path of the `libstp.so` to the wrong folder (`/usr/lib` instead of `/usr/lib64`).

Version-Release number of selected component (if applicable):

stp-devel-2.1.2-3.20151122git.3785148.fc25.x86_64


Steps to Reproduce:
1. install `stp-devel` on Fedora 25
2. add `find_package(STP CONFIG)` to cmake script

Actual results:

~~~
CMake Error at /usr/lib64/cmake/STP/STPTargets.cmake:82 (message):
  The imported target "libstp" references the file

     "/usr/lib/libstp.so.2.1.2"

  but this file does not exist.  Possible reasons include:

  * The file was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and contained

     "/usr/lib64/cmake/STP/STPTargets.cmake"

  but not all the files it references.
~~~


Additional info:

This is probably just a confusion about `/usr/lib` vs `/usr/lib64` but I do not understand cmake scripts well enough to figure out the correct way of patching this.

Comment 1 Fedora Update System 2017-01-30 03:38:59 UTC
stp-2.1.2-4.20151122git.3785148.fc24 stp-2.1.2-4.20151122git.3785148.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-043859a6e5

Comment 2 Fedora Update System 2017-01-31 02:51:42 UTC
stp-2.1.2-4.20151122git.3785148.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-043859a6e5

Comment 3 Fedora Update System 2017-02-09 15:05:27 UTC
stp-2.1.2-4.20151122git.3785148.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fda07fb097

Comment 4 Fedora Update System 2017-02-10 00:50:43 UTC
stp-2.1.2-4.20151122git.3785148.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fda07fb097

Comment 5 Fedora Update System 2017-02-17 20:49:35 UTC
stp-2.1.2-4.20151122git.3785148.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-02-17 20:51:59 UTC
stp-2.1.2-4.20151122git.3785148.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.